/* CNRS/LAAS, 2011
 * Mokhtar Gharbi
 * email : openrobots@laas.fr
 * Public domain
 */

#ifndef JOINTMAPREADER_HPP
#define JOINTMAPREADER_HPP

#include "openrobots/jointmap.h"
#include <string>
#include <map>
#include <fstream>

/** This class reads the joint map files and the mapping files*/
class JointMapParser{
public:
  /** Read a joint Map file and fill the ori_jointmap structure given */
  static void readJointMapFile(ori_jointmap* jointMap,std:: string fileName);
  /** Read a mapping file and fill the map given */
  static void readMappingFile(std::map <std::string, std::string, std::less<std::string> >&  mapping, std::string fileName, char separator);
};

#endif // JOINTMAPREADER_HPP
